This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 452013 - Fedora 9 Install Exception
Fedora 9 Install Exception
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-18 13:21 EDT by Scott A. Kuehne
Modified: 2008-08-04 13:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott A. Kuehne 2008-06-18 13:21:20 EDT
I received this report after Fedora 9, with all the install options checked, was
almost finished installing. 

Original exception was:

Traceback (most recent call last):
File "/usr/lib/anaconda/gui.py", line 1299, in handleRenderCallback
self.currentWindow.renderCallback()

File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
self.intf.icw.nextClicked()

File "/usr/lib/anaconda/gui.py", line 1278, in nextClicked
self.anaconda.dispatch.gotoNext()

File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext self.moveStep()

File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep rc =
stepFunc(self.anaconda)

File "/usr/lib/anaconda/backend.py", line 228, in writeConfiguration
anaconda.id.write()

File "/usr/lib/anaconda/instdata.py", line 169, in write
self.timezone.write(self.anaconda.rootPath)

File "/usr/lib/anaconda/timezone.py", line 47, in write shutil.copyfile(from
File, instPath + "/etc/localtime")

File "/usr/lib/python2.5/shutil.py" line 46,  in copyfile fsrc = open(src, 'rb')

IOError: [Errno2] No such file or directory:
'/mnt/sysimage/usr/share/zoneinfo/America/Indiana/Tell_City'
Comment 1 Chris Lumens 2008-06-19 12:43:44 EDT
Please attach the complete traceback to this bug report.  It doesn't seem likely
that this file should be missing, so I'm wondering what else is going on here.
Comment 2 Scott A. Kuehne 2008-06-19 14:48:04 EDT
linux:/ # traceroute https://bugzilla.redhat.com/show_bug.cgi?id=452013
https://bugzilla.redhat.com/show_bug.cgi?id=452013: Name or service not known
linux:/ #
linux:/ # traceroute -m 40  https://bugzilla.redhat.com/show_bug.cgi?id=452013
https://bugzilla.redhat.com/show_bug.cgi?id=452013: Name or service not known
linux:/ #
linux:/ # traceroute https://bugzilla.redhat.com/
https://bugzilla.redhat.com/: Name or service not known
linux:/ # traceroute www.redhat.com
traceroute to www.redhat.com (72.246.72.112), 30 hops max, 40 byte packets
 1  192.168.0.1 (192.168.0.1)  0.994 ms   1.104 ms   1.142 ms
 2  68-179-156-1.bsr-c4-d0.evv.dhcp.sigecom.net (68.179.156.1)  14.707 ms  
14.933 ms   16.530 ms
 3  63-64-9-170.sigecom.net (63.64.9.170)  18.914 ms   16.988 ms   12.148 ms
 4  evvjpr01.sigecom.net (63.64.9.130)  15.547 ms   21.214 ms   24.067 ms
 5  POS4-3.GW1.ATL4.ALTER.NET (157.130.90.185)  33.299 ms   35.732 ms   42.515 ms
 6  0.so-1-0-1.XT1.ATL4.ALTER.NET (152.63.86.82)  24.925 ms   22.641 ms   27.627 ms
 7  0.so-6-0-0.BR1.ATL4.ALTER.NET (152.63.86.169)  34.062 ms   19.905 ms   30.499 ms
 8  204.255.169.82 (204.255.169.82)  34.040 ms   21.080 ms *
 9  * atl-core-02.inet.qwest.net (205.171.21.45)  30.878 ms *
10  * * *
11  * * *
12  * * *
13  * * *
14  * * *
15  * * *
16  * * *
17  * * *
18  * * *
19  * * *
20  * * *
21  * * *
22  * * *
23  * * *
24  * * *
25  * * *
26  * * *
27  * * *
28  * * *
29  * * *
30  * * *
linux:/ #
linux:/ # traceroute -m 40 www.redhat.com
traceroute to www.redhat.com (72.246.72.112), 40 hops max, 40 byte packets
 1  192.168.0.1 (192.168.0.1)  1.122 ms   1.004 ms   1.151 ms
 2  68-179-156-1.bsr-c4-d0.evv.dhcp.sigecom.net (68.179.156.1)  11.985 ms  
14.617 ms   15.226 ms
 3  63-64-9-170.sigecom.net (63.64.9.170)  16.200 ms   12.479 ms   18.061 ms
 4  evvjpr01.sigecom.net (63.64.9.130)  20.023 ms   17.479 ms   18.800 ms
 5  POS4-3.GW1.ATL4.ALTER.NET (157.130.90.185)  25.549 ms   24.761 ms   29.075 ms
 6  0.so-1-0-1.XT1.ATL4.ALTER.NET (152.63.86.82)  29.652 ms   24.357 ms   21.740 ms
 7  0.so-6-0-0.BR1.ATL4.ALTER.NET (152.63.86.169)  25.970 ms   31.011 ms   33.087 ms
 8  204.255.169.82 (204.255.169.82)  49.027 ms *   47.853 ms
 9  * * *
10  * * *
11  * * *
12  * * *
13  * * *
14  * * *
15  * * *
16  * * *
17  * * *
18  * * *
19  * * *
20  * * *
21  * * *
22  * * *
23  * * *
24  * * *
25  * * *
26  * * *
27  * * *
28  * * *
29  * * *
30  * * *
31  * * *
32  * * *
33  * * *
34  * * *
35  * * *
36  * * *
37  * * *
38  * * *
39  * * *
40  * * *
linux:/ #
         
Comment 3 Scott A. Kuehne 2008-06-20 15:05:18 EDT
System information:
Dell Dimension XPS B733r
Bios version A02
384 mb ram
Maxtor 57030H3
VDMA 66 MHz
ATAPI CD-ROM Samsung SD-612
Comment 4 Chris Lumens 2008-06-20 15:25:18 EDT
What I was looking for is the text file that anaconda writes out when an
unhandled exception occurs, like what you got.  That file is written to
/tmp/anacdump.txt.  If you could attach that file, it would be very helpful.
Comment 5 Scott A. Kuehne 2008-06-23 11:55:18 EDT
I duplicated the install failure.

I mounted the system after the install failure, using the rescue system included
with Disk 1 and the mount was successful. I then made this new odd mount point
the root, and searched for the requested file. I was never able to locate the
requested file. Then, I only installed Fedora 9 with the "Additional Fedora
Software", and it installed great. :) This ruled out my install failure
hypothesis, which was based on the install failure being caused from network
problems during the required DHCP download. Is the missing file consistent with
this?  

Then:

Attempted to install openoffice.org-core-2.4.0-12.8.fc9.i386.rpm from disk 3.
This appeared to install properly, and then Fedora updated this package
successfully. 

Attempted to install openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm.
I then received a "PackageKit warning". 
This rpm: Dependency resolution failed. A package could not be found that allows
the task to complete. Missing Dependency: 
openoffice.org-core = 1:2.4.0-12.8.fc9 is needed by package
openoffice.org-writer-2.4.0-12.8.fc9.i386.


Screen report:

[root@localhost opt]# ls
openoffice.org-core-2.4.0-12.8.fc9.i386.rpm
openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm
[root@localhost opt]# su -c 'yum install
openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm'
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Examining openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm:
1:openoffice.org-writer-2.4.0-12.8.fc9.i386
Marking openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package openoffice.org-writer.i386 1:2.4.0-12.8.fc9 set to be updated
--> Processing Dependency: libwpd >= 0.8.0 for package: openoffice.org-writer
--> Processing Dependency: libwpd-0.8.so.8 for package: openoffice.org-writer
--> Processing Dependency: openoffice.org-core = 1:2.4.0-12.8.fc9 for package:
openoffice.org-writer
--> Processing Dependency: openoffice.org-writer2latex for package:
openoffice.org-writer
--> Running transaction check
---> Package libwpd.i386 0:0.8.14-1.fc9 set to be updated
---> Package openoffice.org-writer2latex.i386 0:0.5-2.fc9 set to be updated
---> Package openoffice.org-writer.i386 1:2.4.0-12.8.fc9 set to be updated
--> Processing Dependency: openoffice.org-core = 1:2.4.0-12.8.fc9 for package:
openoffice.org-writer
--> Finished Dependency Resolution
1:openoffice.org-writer-2.4.0-12.8.fc9.i386 from
openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm has depsolving problems
  --> Missing Dependency: openoffice.org-core = 1:2.4.0-12.8.fc9 is needed by
package 1:openoffice.org-writer-2.4.0-12.8.fc9.i386  
(openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm)
Error: Missing Dependency: openoffice.org-core = 1:2.4.0-12.8.fc9 is needed by
package 1:openoffice.org-writer-2.4.0-12.8.fc9.i386  
(openoffice.org-writer-2.4.0-12.8.fc9.i386.rpm)

End screen report.


Will you please provide me with the package install sequence for manual install.

Thank you for your help, and have a great day!
 
Comment 6 Chris Lumens 2008-06-23 14:07:28 EDT
It doesn't look like openoffice.org-core actually got installed (rpm -q
openoffice.org-core would tell you for sure), so you probably just want to pass
both package names to yum.  Then it should be able to resolve the dependencies
and install.

But this is really getting out of the scope of this bug report.  Do you have
/tmp/anacdump.txt available for attaching?  If not and you can't reproduce, I'll
have to close this as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.